package kz.arta.synergy.workflow.mobile.android.documents.resolution.models;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * Created by neox on 15.09.14.
 * Пункт резолюции
 */
public class ItemResolution implements Serializable {

    /**
     * Идентификатор исполнителя
     */
    private String userID;

    /**
     * Имя
     */
    private String name;

    /**
     * Идентификатор процесса
     */
    private int typeID;

    /**
     * Идентификатор записи справочника
     */
    private
    @SerializedName("dict_id")
    String dictID;

    /**
     * Имя пользователя
     */
    private String user;

    /**
     * Идентификатор формы завершения
     */
    private String completionFormID;

    /**
     * Список исполнителей
     */
    private ResolutionsUsers[] users;

    /**
     * Дата завершения
     */
    private ResolutionFinishDate finishdate;

    /**
     * Идентификатор пункта (используется при редактировании)
     */
    private String itemID;

    /**
     * Имя типа работы
     */
    private
    @SerializedName("item_name")
    String itemName;

    public String getItemID() {
        return itemID;
    }

    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public ResolutionFinishDate getFinishdate() {
        return finishdate;
    }

    public void setFinishdate(ResolutionFinishDate finishdate) {
        this.finishdate = finishdate;
    }

    public ResolutionsUsers[] getUsers() {
        return users;
    }

    public void setUsers(ResolutionsUsers[] users) {
        this.users = users;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getTypeID() {
        return typeID;
    }

    public void setTypeID(int typeID) {
        this.typeID = typeID;
    }

    public String getCompletionFormID() {
        return completionFormID;
    }

    public void setCompletionFormID(String completionFormID) {
        this.completionFormID = completionFormID;
    }

    public String getDictID() {
        return dictID;
    }

    public void setDictID(String dictID) {
        this.dictID = dictID;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public static class ResolutionsUsers implements Serializable {

        private String userID;

        private String user;

        public String getUserID() {
            return userID;
        }

        public void setUserID(String userID) {
            this.userID = userID;
        }

        public String getUser() {
            return user;
        }

        public void setUser(String user) {
            this.user = user;
        }
    }

    public static class ResolutionFinishDate implements Serializable {

        private String date;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }
    }

}
